View Issue Details

IDProjectCategoryView StatusLast Update
0013805ScribusUser Interfacepublic2016-04-20 05:12
ReporterAndreasFranke Assigned Tocbradney  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionduplicate 
PlatformWindowsOSWindows 10OS VersionPro 64bit
Product Version1.5.1 
Target VersionFixed in Version 
Summary0013805: Scribus is mostly unusable on high ppi notebook displays
DescriptionScribus does not scale correctly on high ppi notebook displays like mine (15" 4k resolution). Just take a look at the attached screenshot and you will see...
Steps To ReproduceJust start scribus on such a Notebook
TagsHiDPI, Qt5.6
PatchNo

Relationships

related to 0013255 closed Menus broken on high resolution screen 
related to 0013818 new HiDPI workaround: Ability to change Scribus UI icons size via right mouse button 

Activities

Kunda

2016-03-10 13:29

updater  

HiDPI2.png (712,117 bytes)
HiDPI2.png (712,117 bytes)

Kunda

2016-03-10 13:36

updater   ~0039099

This is an upstream issue. We're waiting for Qt5.6 to be released: https://www.phoronix.com/scan.php?page=news_item&px=Cross-Platform-HiDPI-Qt-5.6

cbradney

2016-03-10 22:15

administrator   ~0039123

Resolving as a duplicate. We're unable to fix this until Qt supports it. We cannot require Qt 5.6 until most linux distros have it as an option.

Kunda

2016-03-11 01:07

updater   ~0039124

Craig, is there an option to enable HiDPI as an option for those who can run Qt5.6 ?

cbradney

2016-03-11 19:19

administrator   ~0039134

Nope, plus we still need to pgram all the canvas stuff for hidpi.

Issue History

Date Modified Username Field Change
2016-03-10 09:58 AndreasFranke New Issue
2016-03-10 09:58 AndreasFranke File Added: 2016-03-10 (4).png
2016-03-10 13:11 Kunda Tag Attached: HiDPI
2016-03-10 13:25 Kunda Relationship added related to 0013255
2016-03-10 13:29 Kunda File Deleted: 2016-03-10 (4).png
2016-03-10 13:29 Kunda File Added: HiDPI2.png
2016-03-10 13:36 Kunda Note Added: 0039099
2016-03-10 13:55 Kunda Priority high => normal
2016-03-10 13:56 Kunda Tag Attached: Qt5.6
2016-03-10 22:15 cbradney Note Added: 0039123
2016-03-10 22:15 cbradney Status new => resolved
2016-03-10 22:15 cbradney Resolution open => duplicate
2016-03-10 22:15 cbradney Assigned To => cbradney
2016-03-11 01:07 Kunda Note Added: 0039124
2016-03-11 19:19 cbradney Note Added: 0039134
2016-03-17 13:29 Kunda Relationship added related to 0013818
2016-04-20 05:12 Kunda Status resolved => closed